<ion-content>
  <h3>Simulador</h3>

  <ion-card>
    <form [formGroup]="simuladorAPForm" (ngSubmit)="continuar()">
      <p>
        <img
          src="assets/iconos-svg/info-circle-fill.svg"
          alt="info">
        Realiza las simulaciones necesarias, hasta que el socio este de acuerdo
      </p>

      <ion-grid>
        <ion-row>
          <ion-col size="5">
            <h5>Monto final ahorro</h5>
            <p>{{ montoFinal | currency}}</p>
          </ion-col>
          <ion-col
            class="col-vino"
            size="7">
            <h5>Tasa de interés anual</h5>
            <p>{{ interesEfectivo }}%</p>
          </ion-col>
        </ion-row>
      </ion-grid>

      <ion-grid>
        <ion-row>
          <ion-col
            size="5">
            <p class="p-monto">Monto</p>
            <ion-item lines="none">
              <ion-input
                type="tel"
                autocomplete="off"
                required
                formControlName="monto"
                placeholder="Monto"
                min="12"
                max="50000">
              </ion-input>
              <ion-note *ngIf="montoField?.hasError('required')" slot="error">Monto obligatorio</ion-note>
              <ion-note *ngIf="montoField?.hasError('min')" slot="error">Monto minimo</ion-note>
              <ion-note *ngIf="montoField?.hasError('max')" slot="error">Monto máximo</ion-note>
            </ion-item>
          </ion-col>

          <ion-col
            size="7">
            <h5 class="h5-monto">Min: $12 - Max: $50000</h5>
            <ion-range
              disabled="true"
              [min]="12"
              [max]="50000"
              [value]="simuladorAPForm.value.monto">
              <ion-label slot="start">12</ion-label>
              <ion-label slot="end">50000</ion-label>
            </ion-range>
          </ion-col>
        </ion-row>
      </ion-grid>

      <ion-grid>
        <ion-row>
          <ion-col
            size="5">
            <p class="p-monto">Plazo</p>
            <ion-item lines="none">
              <ion-input
                autocomplete="off"
                required
                formControlName="plazo"
                type="tel"
                placeholder="Meses"
                min="6"
                max="120"
              >
              </ion-input>
              <ion-note *ngIf="plazoField?.hasError('required')" slot="error">Plazo obligatorio</ion-note>
              <ion-note *ngIf="plazoField?.hasError('min')" slot="error">Plazo minimo</ion-note>
              <ion-note *ngIf="plazoField?.hasError('max')" slot="error">Plazo máximo</ion-note>
            </ion-item>
          </ion-col>

          <ion-col
            size="7">
            <h5 class="h5-monto">Min: 6 meses - Max: 120 meses</h5>
            <ion-range
              disabled="true"
              [min]="6"
              [max]="120"
              [value]="simuladorAPForm.value.plazo">
              <ion-label slot="start">6</ion-label>
              <ion-label slot="end">120</ion-label>
            </ion-range>
          </ion-col>
        </ion-row>
      </ion-grid>

      <ion-grid>
        <ion-row>

          <ion-col size="6">
            <p class="p-monto">Monto inicial</p>
            <ion-item lines="none">
              <ion-input
                type="tel"
                autocomplete="off"
                required
                formControlName="montoInicial"
              >
              </ion-input>
              <ion-note *ngIf="montoInicialField?.hasError('required')" slot="error">Monto inicial obligatorio</ion-note>
            </ion-item>

          </ion-col>

          <ion-col size="6">
            <p class="p-monto">Día debito</p>
            <ion-item
              lines="none">
              <ion-select
                required
                formControlName="diaDebito"
                interface="action-sheet"
                okText="Seleccionar"
                cancelText="Cancelar"
                placeholder="Día de débito">
                <ion-select-option
                  *ngFor="let fecha of fechas">
                  {{ fecha }}
                </ion-select-option>
              </ion-select>
              <ion-note *ngIf="diaDebitoField?.hasError('required')" slot="error">Día débito obligatorio</ion-note>
            </ion-item>
          </ion-col>
        </ion-row>
      </ion-grid>

      <div class="div-continuar">
        <ion-button
          class="ion-button-secundario"
          expand="block"
          [disabled]="simuladorAPForm.invalid"
          (click)="simularAhorroProgramado()">
          Simular
        </ion-button>
      </div>

      <div class="div-continuar">
        <ion-button
          expand="block"
          [disabled]="simuladorAPForm.invalid || !habilitarContinuar"
          (click)="continuar()">
          Continuar
        </ion-button>
      </div>
    </form>

  </ion-card>
</ion-content>
